Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039048
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-07-25 13:402018-08-10 09:41
Reportermaarten1962View Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision4094db53a9df
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0039048: Front-End: Scan EAN to find a task will fail if the EAN has leading /trailing spaces, but LOOKUP works fine.

DescriptionA product has an EAN but that was introduced (wrongly) with leading or trailing blanks.
A user has multiple tasks on the FE, one of them this product.

Inconsistent working:
Scanning the EAN will not find the task in the
Scanning the EAN in the LOOKUP function will find the product (stock).
Steps To ReproduceCreate a product with an EAN with leading and trailing blanks.
Create tasks, also for this product and assign to a user.

Seeing the tasks on the FE, scan the EAN: It will give an error and not find the task with the product.

Select the menu LOOKUP and scan the EAN: It will show the stock of that product.
Proposed SolutionWhen importing the data in the cache of the FE, use TRUNC function for EAN to remove leading blanks.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106259)
hgbot (developer)
2018-08-09 14:56

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 563287a3c11adc8e0e0a249c5069a0d9c61bb7af
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Aug 09 14:56:22 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/563287a3c11adc8e0e0a249c5069a0d9c61bb7af [^]

Fixed issue 39048: Trim UPC code for tasks

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/TaskProperties.java
---
(0106276)
hgbot (developer)
2018-08-10 09:41

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 4094db53a9df9598ca54badb866e44a7abf24116
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Aug 10 09:40:52 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/4094db53a9df9598ca54badb866e44a7abf24116 [^]

Fixed issue 39048: Fix typo

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/TaskProperties.java
---

- Issue History
Date Modified Username Field Change
2018-07-25 13:40 maarten1962 New Issue
2018-07-25 13:40 maarten1962 Assigned To => dmiguelez
2018-08-08 12:38 guilleaer Assigned To dmiguelez => guilleaer
2018-08-09 14:56 hgbot Checkin
2018-08-09 14:56 hgbot Note Added: 0106259
2018-08-09 14:56 hgbot Status new => resolved
2018-08-09 14:56 hgbot Resolution open => fixed
2018-08-09 14:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/563287a3c11adc8e0e0a249c5069a0d9c61bb7af [^]
2018-08-10 09:41 hgbot Checkin
2018-08-10 09:41 hgbot Note Added: 0106276
2018-08-10 09:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/563287a3c11adc8e0e0a249c5069a0d9c61bb7af [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/4094db53a9df9598ca54badb866e44a7abf24116 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker